Password Vault Web Access

 

CyberArk may choose not to provide maintenance and support services for the Password Vault Web Access with relation to any of the platforms and systems listed below which have reached their formal End-of-Life date, as published by their respective vendors from time to time. For more details, contact your CyberArk support representative.

Minimum system requirements

The Password Vault Web Access (PVWA) is a CyberArk component that enables you to access and configure the Privileged Access Security solution over the Web. The PVWA does not require a dedicated machine. However, it must be installed on a machine that is accessible to the network.

 

Password Vault Web Access can be installed on virtual hosts such as VMWare, Hyper-V and KVM.

Supported browsers

Supported connections

PSM connections to remote machines are supported with IPv4 and IPv6 addresses.

Supported Ticketing Systems

The following ticketing systems are supported out-of-the-box:

ServiceNow Geneva, Helsinki, Istanbul, Jakarta, and Kingston
BMC Remedy v9.1

For details about configuring other ticketing systems, see Integrate with Enterprise Ticketing Systems.

Requirements on end-user machines

Required Component

Version

RDP ActiveX Client

5.2 or later for environments set up to use an ActiveX connection method for PSM connection)

CyberArk PSM codec

For viewing high compression session recordings with an external player (e.g. Windows Media Player). The PSMCodec.exe is included in the PSM installation package and is required to enable users to view PSM recordings with a regular media player (not PSM Direct Playback).

JRE (Java Runtime Environment)

JRE 1.4, or later (for SSH transparent connections)

Adobe Flash player

10.0 browser add-on, or later (for PSM Direct Playback with IE browser)

 
  • For PSM Connections make sure that your CyberArk license includes the relevant a license for an external tool that will support these connections.
  • Currently this external tool doesn’t support connections when RD Gateway is configured in the environment. For more information, refer to Configuring PSM Connections in the Privileged Access Security Implementation Guide.

Supported mobile devices

The following mobile devices support the Mobile PVWA on the Privileged Access Security solution in the Classic interface:

  • iPhone smartphones

  • Blackberry smartphones

  • Android smartphones

Supported languages

PVWA supports the following languages:

English
French
Spanish
German
Russian
Polish
Japanese
Korean
Simplified Chinese
Traditional Chinese
Brazilian Portuguese
Turkish
 

New functionality for which texts have not yet been translated will be shown in English.

CyberArk component compatibility

The PVWA works with the following CyberArk components:

Component

Version

Digital Vault Server

11.2, 11.3, 11.4, 11.5

Central Policy Manager

11.2, 11.3, 11.4, 11.5

Privileged Session Manager

9.0.1 or later

Privileged Session Manager for SSHProxy

7.2.9 or later

On-Demand Privileges Manager

6.0 or later

Credential Provider

4.5 or later